package com.bocloud.cmp.model;

import java.util.List;
import java.util.Map;

/**
 * 虚拟交换机类
 *
 * @author weiwei
 */
public class SwitchBean {
    private Long id;
    private String name; // 交换机名称
    private String oldName;// 旧名称
    private Long vdcId; // 数据中心ID
    private String vdcName; // 数据中心名称
    private Long vendorId; // 供应商ID
    private Long hostId;// 主机ID
    private int vlanId;// vlanID
    private Long portNum;// 端口数量
    private Integer mtu;// mtu
    private Boolean allowPromiscuous;// 是否接受混杂模式
    private Boolean macChanges;// 是否接受mac地址更改
    private Boolean forgedTransmits;// 是否接受伪传输
    private Boolean trafficEnabled;// 是否启用流量调整
    private Long averageBandWidth;// 平均带宽
    private Long peakBandWidth;// 带宽峰值
    private Long burstSize;// 突发大小
    private String policy;// 负载平衡
    private Boolean checkBeacon;// 网络故障切换检测
    private Boolean notifySwitches;// 通知交换机
    private Boolean rollingOrder;// 故障恢复
    private List<String> activeNics;// 活动适配器
    private List<String> standbyNics;// 备用适配器
    private String remark;// 描述
    private String managerName;// 管理员名称
    private String managerContact;// 管理员其他详细信息
    private String collectorIpAddress;// 收集器IP地址
    private Integer collectorPort;// 收集器端口
    private String vdsIpAddress;// 分布式交换机IP地址
    private Integer activeFlowTimeout;// 活动流导出超时
    private Integer idleFlowTimeout;// 限制流导出超时
    private Integer samplingRate;// 采样率
    private Boolean internalFlowsOnly;// 是否仅处理内部流
    private String pVlans;// 专用VLAN
    private String protocol;// 发现协议类型
    private String operation;// 发现协议操作
    private List<String> dvportNames;// 上行链路端口数名称
    private Integer dvportNum;// 上行链路端口数
    private Map<Long, List<Long>> hosts; // 宿主机和物理网卡id
    private Map<String, List<String>> values; // 宿主机和物理网卡名称

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the vdcId
     */
    public Long getVdcId() {
        return vdcId;
    }

    /**
     * @param vdcId the vdcId to set
     */
    public void setVdcId(Long vdcId) {
        this.vdcId = vdcId;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the hostId
     */
    public Long getHostId() {
        return hostId;
    }

    /**
     * @param hostId the hostId to set
     */
    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    /**
     * @return the vlanId
     */
    public int getVlanId() {
        return vlanId;
    }

    /**
     * @param vlanId the vlanId to set
     */
    public void setVlanId(int vlanId) {
        this.vlanId = vlanId;
    }

    /**
     * @return the portNum
     */
    public Long getPortNum() {
        return portNum;
    }

    /**
     * @param portNum the portNum to set
     */
    public void setPortNum(Long portNum) {
        this.portNum = portNum;
    }

    /**
     * @return the mtu
     */
    public Integer getMtu() {
        return mtu;
    }

    /**
     * @param mtu the mtu to set
     */
    public void setMtu(Integer mtu) {
        this.mtu = mtu;
    }

    /**
     * @return the allowPromiscuous
     */
    public Boolean getAllowPromiscuous() {
        return allowPromiscuous;
    }

    /**
     * @param allowPromiscuous the allowPromiscuous to set
     */
    public void setAllowPromiscuous(Boolean allowPromiscuous) {
        this.allowPromiscuous = allowPromiscuous;
    }

    /**
     * @return the macChanges
     */
    public Boolean getMacChanges() {
        return macChanges;
    }

    /**
     * @param macChanges the macChanges to set
     */
    public void setMacChanges(Boolean macChanges) {
        this.macChanges = macChanges;
    }

    /**
     * @return the forgedTransmits
     */
    public Boolean getForgedTransmits() {
        return forgedTransmits;
    }

    /**
     * @param forgedTransmits the forgedTransmits to set
     */
    public void setForgedTransmits(Boolean forgedTransmits) {
        this.forgedTransmits = forgedTransmits;
    }

    /**
     * @return the trafficEnabled
     */
    public Boolean getTrafficEnabled() {
        return trafficEnabled;
    }

    /**
     * @param trafficEnabled the trafficEnabled to set
     */
    public void setTrafficEnabled(Boolean trafficEnabled) {
        this.trafficEnabled = trafficEnabled;
    }

    /**
     * @return the averageBandWidth
     */
    public Long getAverageBandWidth() {
        return averageBandWidth;
    }

    /**
     * @param averageBandWidth the averageBandWidth to set
     */
    public void setAverageBandWidth(Long averageBandWidth) {
        this.averageBandWidth = averageBandWidth;
    }

    /**
     * @return the peakBandWidth
     */
    public Long getPeakBandWidth() {
        return peakBandWidth;
    }

    /**
     * @param peakBandWidth the peakBandWidth to set
     */
    public void setPeakBandWidth(Long peakBandWidth) {
        this.peakBandWidth = peakBandWidth;
    }

    /**
     * @return the burstSize
     */
    public Long getBurstSize() {
        return burstSize;
    }

    /**
     * @param burstSize the burstSize to set
     */
    public void setBurstSize(Long burstSize) {
        this.burstSize = burstSize;
    }

    /**
     * @return the policy
     */
    public String getPolicy() {
        return policy;
    }

    /**
     * @param policy the policy to set
     */
    public void setPolicy(String policy) {
        this.policy = policy;
    }

    /**
     * @return the checkBeacon
     */
    public Boolean getCheckBeacon() {
        return checkBeacon;
    }

    /**
     * @param checkBeacon the checkBeacon to set
     */
    public void setCheckBeacon(Boolean checkBeacon) {
        this.checkBeacon = checkBeacon;
    }

    /**
     * @return the notifySwitches
     */
    public Boolean getNotifySwitches() {
        return notifySwitches;
    }

    /**
     * @param notifySwitches the notifySwitches to set
     */
    public void setNotifySwitches(Boolean notifySwitches) {
        this.notifySwitches = notifySwitches;
    }

    /**
     * @return the rollingOrder
     */
    public Boolean getRollingOrder() {
        return rollingOrder;
    }

    /**
     * @param rollingOrder the rollingOrder to set
     */
    public void setRollingOrder(Boolean rollingOrder) {
        this.rollingOrder = rollingOrder;
    }

    /**
     * @return the activeNics
     */
    public List<String> getActiveNics() {
        return activeNics;
    }

    /**
     * @param activeNics the activeNics to set
     */
    public void setActiveNics(List<String> activeNics) {
        this.activeNics = activeNics;
    }

    /**
     * @return the standbyNics
     */
    public List<String> getStandbyNics() {
        return standbyNics;
    }

    /**
     * @param standbyNics the standbyNics to set
     */
    public void setStandbyNics(List<String> standbyNics) {
        this.standbyNics = standbyNics;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the managerName
     */
    public String getManagerName() {
        return managerName;
    }

    /**
     * @param managerName the managerName to set
     */
    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    /**
     * @return the managerContact
     */
    public String getManagerContact() {
        return managerContact;
    }

    /**
     * @param managerContact the managerContact to set
     */
    public void setManagerContact(String managerContact) {
        this.managerContact = managerContact;
    }

    /**
     * @return the collectorIpAddress
     */
    public String getCollectorIpAddress() {
        return collectorIpAddress;
    }

    /**
     * @param collectorIpAddress the collectorIpAddress to set
     */
    public void setCollectorIpAddress(String collectorIpAddress) {
        this.collectorIpAddress = collectorIpAddress;
    }

    /**
     * @return the collectorPort
     */
    public Integer getCollectorPort() {
        return collectorPort;
    }

    /**
     * @param collectorPort the collectorPort to set
     */
    public void setCollectorPort(Integer collectorPort) {
        this.collectorPort = collectorPort;
    }

    /**
     * @return the vdsIpAddress
     */
    public String getVdsIpAddress() {
        return vdsIpAddress;
    }

    /**
     * @param vdsIpAddress the vdsIpAddress to set
     */
    public void setVdsIpAddress(String vdsIpAddress) {
        this.vdsIpAddress = vdsIpAddress;
    }

    /**
     * @return the activeFlowTimeout
     */
    public Integer getActiveFlowTimeout() {
        return activeFlowTimeout;
    }

    /**
     * @param activeFlowTimeout the activeFlowTimeout to set
     */
    public void setActiveFlowTimeout(Integer activeFlowTimeout) {
        this.activeFlowTimeout = activeFlowTimeout;
    }

    /**
     * @return the idleFlowTimeout
     */
    public Integer getIdleFlowTimeout() {
        return idleFlowTimeout;
    }

    /**
     * @param idleFlowTimeout the idleFlowTimeout to set
     */
    public void setIdleFlowTimeout(Integer idleFlowTimeout) {
        this.idleFlowTimeout = idleFlowTimeout;
    }

    /**
     * @return the samplingRate
     */
    public Integer getSamplingRate() {
        return samplingRate;
    }

    /**
     * @param samplingRate the samplingRate to set
     */
    public void setSamplingRate(Integer samplingRate) {
        this.samplingRate = samplingRate;
    }

    /**
     * @return the internalFlowsOnly
     */
    public Boolean getInternalFlowsOnly() {
        return internalFlowsOnly;
    }

    /**
     * @param internalFlowsOnly the internalFlowsOnly to set
     */
    public void setInternalFlowsOnly(Boolean internalFlowsOnly) {
        this.internalFlowsOnly = internalFlowsOnly;
    }

    /**
     * @return the pVlans
     */
    public String getPVlans() {
        return pVlans;
    }

    /**
     * @param pVlans the pVlans to set
     */
    public void setPVlans(String pVlans) {
        this.pVlans = pVlans;
    }

    /**
     * @return the protocol
     */
    public String getProtocol() {
        return protocol;
    }

    /**
     * @param protocol the protocol to set
     */
    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    /**
     * @return the operation
     */
    public String getOperation() {
        return operation;
    }

    /**
     * @param operation the operation to set
     */
    public void setOperation(String operation) {
        this.operation = operation;
    }

    /**
     * @return the dvportNames
     */
    public List<String> getDvportNames() {
        return dvportNames;
    }

    /**
     * @param dvportNames the dvportNames to set
     */
    public void setDvportNames(List<String> dvportNames) {
        this.dvportNames = dvportNames;
    }

    /**
     * @return the dvportNum
     */
    public Integer getDvportNum() {
        return dvportNum;
    }

    /**
     * @param dvportNum the dvportNum to set
     */
    public void setDvportNum(Integer dvportNum) {
        this.dvportNum = dvportNum;
    }

    /**
     * @return the hosts
     */
    public Map<Long, List<Long>> getHosts() {
        return hosts;
    }

    /**
     * @param hosts the hosts to set
     */
    public void setHosts(Map<Long, List<Long>> hosts) {
        this.hosts = hosts;
    }

    /**
     * @return the values
     */
    public Map<String, List<String>> getValues() {
        return values;
    }

    /**
     * @param values the values to set
     */
    public void setValues(Map<String, List<String>> values) {
        this.values = values;
    }

    /**
     * @return the oldName
     */
    public String getOldName() {
        return oldName;
    }

    /**
     * @param oldName the oldName to set
     */
    public void setOldName(String oldName) {
        this.oldName = oldName;
    }
}
